package com.tzld.piaoquan.ad.engine.commons.base;


import lombok.Getter;
import lombok.NoArgsConstructor;

@Getter
@NoArgsConstructor
public class AdRequestContext {

    // 机型等信息
    private String apptype;
    private String machineinfoBrand;
    private String machineinfoModel;
    private String machineinfoSdkversion;
    private String machineinfoWechatversion;

    // 时间等信息
    private String day;
    private String week;
    private String hour;
    private String region;
    private String city;

    // video信息
//    private String headVideoId;
//    private String PageSource;

    // position 信息
    private String ownAdPositionId;



    public void setApptype(String apptype) {
        this.apptype = apptype;
        if (apptype == null)
            this.apptype = "-1";
    }

    public void setMachineinfoBrand(String machineinfoBrand) {
        this.machineinfoBrand = machineinfoBrand;
        if (machineinfoBrand == null)
            this.machineinfoBrand = "-1";
    }

    public void setMachineinfoModel(String machineinfoModel) {
        this.machineinfoModel = machineinfoModel;
        if (machineinfoModel == null)
            this.machineinfoModel = "-1";
    }


    public void setMachineinfoWchatversion(String machineinfo_wechatversion) {
        this.machineinfoWechatversion = machineinfo_wechatversion;
        if (machineinfo_wechatversion == null)
            this.machineinfoWechatversion = "-1";
    }


    public void setMachineinfoSdkversion(String machineinfo_sdkversion) {
        this.machineinfoSdkversion = machineinfo_sdkversion;
        if (machineinfoSdkversion == null)
            this.machineinfoSdkversion = "-1";
    }



    public void setHour(String hour) {
        this.hour = hour;
        if (hour == null)
            this.hour = "-1";
    }


    public void setDay(String day) {
        this.day = day;
        if (day == null)
            this.day = "-1";
    }

    public void setWeek(String week) {
        this.week = week;
        if (week == null)
            this.week = "-1";
    }


    public void setRegion(String region) {
        this.region = region;
        if (region == null)
            this.region = "-1";
    }


    public void setCity(String city) {
        this.city = city;
        if (city == null)
            this.city = "-1";
    }


}
